<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('functions_func.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a" name="index_a"></a>- a -</h3><ul>
<li>AddSituationUI()&#160;:&#160;<a class="el" href="class_situations_list.html#a98a8ea611b889eeecff3fbb477ad424d">SituationsList</a></li>
<li>AddTimeBasedTransition()&#160;:&#160;<a class="el" href="class_situations_list.html#a3c0c824ac7db1e2c74c9eda7c65dd02d">SituationsList</a></li>
<li>AllowCollapsing()&#160;:&#160;<a class="el" href="class_menu.html#a70889c3eda88a8a8877e9701036e2187">Menu</a></li>
<li>Animate()&#160;:&#160;<a class="el" href="class_menu.html#af1ca41e00ff7be23c227d810315326ce">Menu</a>, <a class="el" href="class_situations_list.html#a3d97d89d55558170b29cdebf88466042">SituationsList</a></li>
</ul>


<h3><a id="index_c" name="index_c"></a>- c -</h3><ul>
<li>ChangeVivianElement()&#160;:&#160;<a class="el" href="class_element_picker.html#a7bace01ca4ab5ddf4cb80df543fd9e9e">ElementPicker</a></li>
<li>Contains()&#160;:&#160;<a class="el" href="class_controls.html#a253f968412fe7fa422ba14c32f1c7017">Controls</a></li>
<li>Controls()&#160;:&#160;<a class="el" href="class_controls.html#a4295674e77bd87c0ae8304f2d2c6019f">Controls</a></li>
<li>CreateFiles()&#160;:&#160;<a class="el" href="class_project_files_controller.html#adfb41e1c1eb0d1ed4c610f6ef147395c">ProjectFilesController</a></li>
<li>CreateNewProject()&#160;:&#160;<a class="el" href="class_menu.html#a8c78a03c6b59176a8d9ea93c558cbb11">Menu</a></li>
<li>CreateProject()&#160;:&#160;<a class="el" href="class_vivian_u_i.html#ad650a3f28c88a0742fc84fd64df601a8">VivianUI</a></li>
<li>CreateState()&#160;:&#160;<a class="el" href="class_utils.html#ab30053d4a10e95848e87952fc66c8cd7">Utils</a></li>
</ul>


<h3><a id="index_d" name="index_d"></a>- d -</h3><ul>
<li>DeleteInteractionElement&lt; T &gt;()&#160;:&#160;<a class="el" href="class_utils.html#ad107fcf29655462a8a7f6d14660eae47">Utils</a></li>
<li>DeleteSituation()&#160;:&#160;<a class="el" href="class_situations_list.html#a80272e8d266d7a6186200bccd86394fb">SituationsList</a></li>
<li>DeleteState()&#160;:&#160;<a class="el" href="class_utils.html#ad4fcb8774f5b2643db9a1a51d21d67c1">Utils</a></li>
<li>DeleteTransition()&#160;:&#160;<a class="el" href="class_utils.html#a7fc1a1b574ca86882a8de733f73ca35f">Utils</a></li>
<li>DeleteVisualizationArray()&#160;:&#160;<a class="el" href="class_utils.html#acd84b705ebe19552557f87943fa9612a">Utils</a></li>
<li>DeleteVisualizationElement&lt; T &gt;()&#160;:&#160;<a class="el" href="class_utils.html#a37fb7f97ce52a843c7e1339f961f41b0">Utils</a></li>
<li>Disable()&#160;:&#160;<a class="el" href="class_controls.html#a2cbfe1781d8abc77daa6259bba5e7dce">Controls</a>, <a class="el" href="struct_controls_1_1_player_actions.html#ab3abe8c648468ad2c2b9dd9767490b99">Controls.PlayerActions</a></li>
<li>Dispose()&#160;:&#160;<a class="el" href="class_controls.html#aa6865d9f932ae68bd0814c686baeb8ff">Controls</a></li>
</ul>


<h3><a id="index_e" name="index_e"></a>- e -</h3><ul>
<li>Enable()&#160;:&#160;<a class="el" href="class_controls.html#ac9f8ebd56c2a475ceb26f13f9f027398">Controls</a>, <a class="el" href="struct_controls_1_1_player_actions.html#a56abe0f3a6e64ab5f458e8d441b869d6">Controls.PlayerActions</a></li>
</ul>


<h3><a id="index_f" name="index_f"></a>- f -</h3><ul>
<li>FindAction()&#160;:&#160;<a class="el" href="class_controls.html#a4090174308f25682677d4aec5dc31a87">Controls</a></li>
<li>FindBinding()&#160;:&#160;<a class="el" href="class_controls.html#ae85cd2c0c8bb708c202f83f97f658111">Controls</a></li>
</ul>


<h3><a id="index_g" name="index_g"></a>- g -</h3><ul>
<li>Get()&#160;:&#160;<a class="el" href="struct_controls_1_1_player_actions.html#aef38186f8445f172ca011d139d4a99a7">Controls.PlayerActions</a></li>
<li>GetAwaiter()&#160;:&#160;<a class="el" href="class_extension_methods.html#a9833a7fb5c4c97fa88afd3de351aa39d">ExtensionMethods</a></li>
<li>GetCurrentState()&#160;:&#160;<a class="el" href="class_utils.html#ac4db42468b93365ef9ce576e06fd5f1d">Utils</a></li>
<li>GetEnumerator()&#160;:&#160;<a class="el" href="class_controls.html#aa8ae5ba50f1e7a5409113c78a769e81a">Controls</a></li>
<li>GetInteractionElement&lt; T &gt;()&#160;:&#160;<a class="el" href="class_utils.html#a592bcafc407fc822614e71a98d178081">Utils</a></li>
<li>GetInteractionElements()&#160;:&#160;<a class="el" href="class_utils.html#a546802d6f59d841102326923bb12e51f">Utils</a></li>
<li>GetRecentProjects()&#160;:&#160;<a class="el" href="class_project_files_controller.html#afa69e307a9f3ba06bc8b4021211c4c9b">ProjectFilesController</a></li>
<li>GetResult()&#160;:&#160;<a class="el" href="struct_unity_web_request_awaiter.html#af6e53a6a9836d77eb266080dfdf9400e">UnityWebRequestAwaiter</a></li>
<li>GetState()&#160;:&#160;<a class="el" href="class_utils.html#ac1958cd90ee3426959f67d8f6ae2a1d1">Utils</a></li>
<li>GetStateIndex()&#160;:&#160;<a class="el" href="class_utils.html#a5a164e0563ca6d9aa06c45bebf436f05">Utils</a></li>
<li>GetStates()&#160;:&#160;<a class="el" href="class_utils.html#ad069fd6bb6a50034f5b157eef1f1d91a">Utils</a></li>
<li>GetTransition()&#160;:&#160;<a class="el" href="class_utils.html#aad2b260cf019a16e843666f807bb710c">Utils</a></li>
<li>GetTransitions()&#160;:&#160;<a class="el" href="class_utils.html#aaa529a2346a2a83b6a640d7709a86bc9">Utils</a></li>
<li>GetVisualizationArray()&#160;:&#160;<a class="el" href="class_utils.html#a88afd33827c764d277dcd64920351ae1">Utils</a></li>
<li>GetVisualizationArrays()&#160;:&#160;<a class="el" href="class_utils.html#a68614eba92f1abded960e4cfa8225e81">Utils</a></li>
<li>GetVisualizationElement&lt; T &gt;()&#160;:&#160;<a class="el" href="class_utils.html#a3190a484104fa4b1d53581c5e222d644">Utils</a></li>
<li>GetVisualizationElements()&#160;:&#160;<a class="el" href="class_utils.html#a9f2d6e307121e9875a4ad7e91cc481b8">Utils</a></li>
</ul>


<h3><a id="index_i" name="index_i"></a>- i -</h3><ul>
<li>ImportProject()&#160;:&#160;<a class="el" href="class_menu.html#a096f47bf482360ff81f8b1e98a9ede0a">Menu</a></li>
<li>IsPointerOverUI()&#160;:&#160;<a class="el" href="class_utils.html#a6b3fa945308a46048cde070809fd9dea">Utils</a></li>
</ul>


<h3><a id="index_l" name="index_l"></a>- l -</h3><ul>
<li>LoadFiles()&#160;:&#160;<a class="el" href="class_project_files_controller.html#a7889a7b40c3bc7b4ef5f838fa8f33c12">ProjectFilesController</a></li>
<li>LoadModel()&#160;:&#160;<a class="el" href="class_project_files_controller.html#a668edb7be8d74a0f3b93d9577248a735">ProjectFilesController</a></li>
<li>LoadProject()&#160;:&#160;<a class="el" href="class_vivian_u_i.html#a6345564e41851f88a63fc6ad99d5d3d5">VivianUI</a></li>
</ul>


<h3><a id="index_m" name="index_m"></a>- m -</h3><ul>
<li>MakeDefaultSituation()&#160;:&#160;<a class="el" href="class_situations_list.html#aa3a824472c1421a715e573529d48d3f2">SituationsList</a></li>
</ul>


<h3><a id="index_o" name="index_o"></a>- o -</h3><ul>
<li>OnCompleted()&#160;:&#160;<a class="el" href="struct_unity_web_request_awaiter.html#adf33bb1d9f8c603bb80346932e2bade8">UnityWebRequestAwaiter</a></li>
<li>OnComponentUpdated()&#160;:&#160;<a class="el" href="class_vivian_components_1_1_button.html#aba04a96e286eb6ecfac29abd515418f5">VivianComponents.Button</a>, <a class="el" href="class_vivian_components_1_1_vivian_component.html#a35e6dbed2cede167990a3e79c064ddc3">VivianComponents.VivianComponent</a></li>
<li>OnLook()&#160;:&#160;<a class="el" href="interface_controls_1_1_i_player_actions.html#a30f5d762131cfb7e9c5e2b030c2f0006">Controls.IPlayerActions</a></li>
<li>OnSelect()&#160;:&#160;<a class="el" href="interface_controls_1_1_i_player_actions.html#ae907a73789861621d4d97fdf3d04daef">Controls.IPlayerActions</a></li>
<li>OnZoom()&#160;:&#160;<a class="el" href="interface_controls_1_1_i_player_actions.html#ab33e60ad57f8867d78680f3994594bce">Controls.IPlayerActions</a></li>
<li>operator InputActionMap()&#160;:&#160;<a class="el" href="struct_controls_1_1_player_actions.html#abcbb4fc2a27f5f40791415d3cfb64288">Controls.PlayerActions</a></li>
</ul>


<h3><a id="index_p" name="index_p"></a>- p -</h3><ul>
<li>ParseInteractionSpec()&#160;:&#160;<a class="el" href="class_utils.html#a12f6900587636ca8e53f6571e88d879c">Utils</a></li>
<li>ParseVisualizationSpec()&#160;:&#160;<a class="el" href="class_utils.html#a99910f8d65b202109789a8c87cc09b58">Utils</a></li>
<li>PlayerActions()&#160;:&#160;<a class="el" href="struct_controls_1_1_player_actions.html#af9a50c29b516e55ca953339cc2db9fc4">Controls.PlayerActions</a></li>
</ul>


<h3><a id="index_r" name="index_r"></a>- r -</h3><ul>
<li>RegisterCallbackOnSituationCreation()&#160;:&#160;<a class="el" href="class_situations_list.html#a68f87dfeacc229b7562b1c39f2b64eef">SituationsList</a></li>
<li>RemoveAllOutlines()&#160;:&#160;<a class="el" href="class_outliner.html#a5871ba838484c1e183b2ef199c8f7dff">Outliner</a></li>
<li>RemoveAllSituationsUI()&#160;:&#160;<a class="el" href="class_situations_list.html#ae81238927716f6041142f3f46a60d1e4">SituationsList</a></li>
<li>RemoveAllVivianComponents()&#160;:&#160;<a class="el" href="class_element_picker.html#acd3b224946b891ac45d91ed7f3938017">ElementPicker</a></li>
<li>RemoveOutline()&#160;:&#160;<a class="el" href="class_outliner.html#a0b1f12280b72aa794e8bbec8399d7af5">Outliner</a></li>
<li>RemoveProject()&#160;:&#160;<a class="el" href="class_menu.html#a826309695d2c6e09fddcbdd452f4ace2">Menu</a></li>
<li>RenameSituation()&#160;:&#160;<a class="el" href="class_situations_list.html#a20be46f03502e5407e81b7120fdabbdc">SituationsList</a></li>
<li>RunProject()&#160;:&#160;<a class="el" href="class_menu.html#a04f13cb369d423790d48eb5b9ff97652">Menu</a></li>
</ul>


<h3><a id="index_s" name="index_s"></a>- s -</h3><ul>
<li>SaveProject()&#160;:&#160;<a class="el" href="class_project_files_controller.html#aed7f6eed3c917e6bc4e5028212e7d2a1">ProjectFilesController</a></li>
<li>SaveVivianSpecificationToDisk()&#160;:&#160;<a class="el" href="class_project_files_controller.html#a465eedff13384dab7e334c57e6d88a1d">ProjectFilesController</a></li>
<li>SetCallbacks()&#160;:&#160;<a class="el" href="struct_controls_1_1_player_actions.html#a011aadec6501418214c55e5f3b3d581f">Controls.PlayerActions</a></li>
<li>SetCurrentState()&#160;:&#160;<a class="el" href="class_utils.html#a4187f0ec97cc29945c425bb46c4cc0d8">Utils</a></li>
<li>SetOutline()&#160;:&#160;<a class="el" href="class_outliner.html#a94ed3ea9e14860e6196bef51fc2ff6b8">Outliner</a></li>
<li>SetRecentProjects()&#160;:&#160;<a class="el" href="class_project_files_controller.html#adaa01697d0900cf78f411a18dc7090da">ProjectFilesController</a></li>
<li>SetTarget()&#160;:&#160;<a class="el" href="class_model_manipulator.html#aa07b5a7f24935046611034fb81eff4b0">ModelManipulator</a></li>
<li>ShowModal()&#160;:&#160;<a class="el" href="class_vivian_u_i.html#a21a955facfb160d6529f9b30b1ad8bf5">VivianUI</a></li>
<li>Start()&#160;:&#160;<a class="el" href="class_modal.html#abac6faa7d5d572d5e10d24bed3db82d4">Modal</a>, <a class="el" href="class_modals_1_1_create_project_modal.html#a19f19883700e3f1b1e2de102322d2ca9">Modals.CreateProjectModal</a>, <a class="el" href="class_vivian_components_1_1_vivian_component.html#a9f61c5c5c6d1471ad091aae18c0526e7">VivianComponents.VivianComponent</a></li>
<li>SwitchMode()&#160;:&#160;<a class="el" href="class_navbar.html#ac675445fda6f95888c4de7bc82c54843">Navbar</a>, <a class="el" href="class_vivian_u_i.html#acc92747134921494f33c3c42f786ff48">VivianUI</a></li>
</ul>


<h3><a id="index_u" name="index_u"></a>- u -</h3><ul>
<li>UnityWebRequestAwaiter()&#160;:&#160;<a class="el" href="struct_unity_web_request_awaiter.html#a5aa4f0147196ea198b2fb38c107118ad">UnityWebRequestAwaiter</a></li>
<li>Unselect()&#160;:&#160;<a class="el" href="class_model_manipulator.html#ade3d96a041f994de169292520770b56f">ModelManipulator</a></li>
<li>UpdateElementPicker()&#160;:&#160;<a class="el" href="class_element_picker.html#af7581458cf7547f28593a35c6bbcb049">ElementPicker</a></li>
<li>UpdateEntries()&#160;:&#160;<a class="el" href="class_menu.html#a70912ce01e2c369fda6f1063adae4720">Menu</a></li>
<li>UpdateState()&#160;:&#160;<a class="el" href="class_utils.html#ac9074cedc809a670a328f054498f67ca">Utils</a></li>
<li>UpdateVivianElementTemplate()&#160;:&#160;<a class="el" href="class_element_picker.html#a925765ebdc7b333d74d3dd75560768c5">ElementPicker</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
